Bug 737237 - Provide native systemd service files
Summary: Provide native systemd service files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 09:52 UTC by Jóhann B. Guðmundsson
Modified: 2013-01-30 09:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-30 09:27:19 UTC


Attachments (Terms of Use)
Swat socket (132 bytes, text/plain)
2011-09-10 09:53 UTC, Jóhann B. Guðmundsson
no flags Details
Swat service (128 bytes, text/plain)
2011-09-10 09:54 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2011-09-10 09:52:17 UTC
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2011-09-10 09:53:46 UTC
Created attachment 522478 [details]
Swat socket

Comment 2 Jóhann B. Guðmundsson 2011-09-10 09:54:23 UTC
Created attachment 522479 [details]
Swat service

Comment 3 Jóhann B. Guðmundsson 2011-09-10 09:56:13 UTC
Passes simple telnet test and note there is still a (tight) window to have this
in F16

Comment 4 Dmitri Pal 2011-09-12 14:29:52 UTC
(In reply to comment #3)
> Passes simple telnet test and note there is still a (tight) window to have this
> in F16

Very unlikely.

Comment 5 Jóhann B. Guðmundsson 2011-09-12 23:18:26 UTC
Well the window was open for a brief moment =)

Once package and shipped your package should no longer have to depend on xinetd

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd


Note You need to log in before you can comment on or make changes to this bug.